This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 476003 - CVE-2008-5134 kernel: libertas: fix buffer overrun
CVE-2008-5134 kernel: libertas: fix buffer overrun
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 09:56 EST by Todd Denniston
Modified: 2009-01-07 02:18 EST (History)
6 users (show)

See Also:
Fixed In Version: 2.6.26.8-57.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 02:18:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Denniston 2008-12-11 09:56:05 EST
+++ This bug was initially created as a clone of Bug #470761 +++

Description of problem:
From: Johannes Berg <johannes@sipsolutions.net>

If somebody sends an invalid beacon/probe response, that can trash the whole BSS descriptor. The descriptor is, luckily, large enough so that it cannot scribble past the end of it; it's well above 400 bytes long.

--- Additional comment from eteo@redhat.com on 2008-11-09 22:53:04 EDT ---

Reference: http://article.gmane.org/gmane.linux.kernel.wireless.general/23049

--- Additional comment from eteo@redhat.com on 2008-11-09 22:53:20 EDT ---

Proposed upstream patch:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=48735d8d8bd701b1e0cd3d49c21e5e385ddcb077

--- Additional comment from eteo@redhat.com on 2008-12-05 00:32:04 EDT ---

The driver was included in the upstream kernel since 2.6.22. We did not backport it to our RHEL kernels.

--- Additional comment from eteo@redhat.com on 2008-12-10 19:03:29 EDT ---

Our official statement can be found at:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2008-5134
Comment 1 Todd Denniston 2008-12-11 10:00:19 EST
The latest F8 kernel is kernel-2.6.26.6-49.fc8 which appears to be affected.
the latest Koji F8 kernel is kernel-2.6.26.8-56.fc8 (as of 10:00 EST 12Nov2008)
http://koji.fedoraproject.org/koji/packageinfo?packageID=8
and its description http://koji.fedoraproject.org/koji/buildinfo?buildID=69152
does not explicitly mention fixing CVE-2008-5134.

Note You need to log in before you can comment on or make changes to this bug.